# Generated from alpinelab-codestyle-0.8.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name alpinelab-codestyle

Name: rubygem-%{gem_name}
Version: 0.8.0
Release: 1%{?dist}
Summary: Code style used by AlpineLab
License: MIT
URL: https://www.alpine-lab.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
BuildArch: noarch

%description
This repository holds linter rules (e.g. Rubocop) that enforce our code
style in any project (thanks to Rubocop `inherit_gem' directive) as well as
other conventions not transposable as automated rules (those are explained
as plain Markdown).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/config
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Sun Sep 12 2021 mockbuilder - 0.8.0-1
- Initial package
